#!/bin/bash
# Este script se ejecuta como tarea del cron y tiene como fin crear otro archivo
# del cron que lanzará los apagados programados
#

# Ficheros que vamos a usar
md5actual=/usr/share/cga-autologout/md5actual.md5
md5previo=/usr/share/cga-autologout/md5previo.md5
fichero=/tmp/horas.txt
ficherocron=/etc/cron.d/horarioapagado
ruta=c0/gesuser/ApagadoRemoto/horas.txt

# Bajar el archivo del c0

[ -f $fichero ] && rm $fichero
cd /tmp
wget $ruta 

if [ "$?" -ne "0" ]
then
echo "No se ha podido bajar el fichero del c0"
exit
fi

# debemos tener presente que md5previo exista
# se hace un touch en el postinstall

# Se vuelve a volcar este archivo si hay algun cambio
md5sum $fichero > $md5actual

diff $md5previo $md5actual

if [ "$?" -ne "0" ] 
then
#El else seria:
#echo "Todo ha ido bien"
#No hacemos nada


# Lo primero que hacemos el guardar el nuevo md5
md5sum $fichero > $md5previo

# El fichero de cron generado es nuevo. Borramos el antiguo
[ -z $ficherocron ] || rm $ficherocron

# El 1 es lunes el 7 es domingo
#diassemana= ( 1 2 3 4 5 6 7 )

dia=1
cat $fichero |
while read line
do
  echo $line |

  while read -a campo -d';'
  do
    if [ "$campo" != "" ]
    then
      minuto=`echo $campo | cut -d':' -f2`
      hora=`echo $campo | cut -f1 -d':'`
      echo "$minuto $hora * * $dia root /usr/bin/shutdownlauncher" >> $ficherocron
    fi
  done
  dia=$(($dia+1))
done
fi
